#!/bin/sh

# Create distribution packages of SHC.
# Miroslav Broz (miroslav.broz@email.cz)

VERSION="Jun 19th 2004"

FILE=shc
RPM=/usr/src/rpm	# this is for Debian 3.0
#RPM=/usr/src/redhat	# RedHat 6.2 @ astrohk
#RPM=/usr/src/packages
DATE=`awk '/Version:/{print $2}' $FILE.spec`
RELEASE=`awk '/Release:/{print $2}' $FILE.spec`
#DATE=`date +"%y%m%d"`

targz() {
  TMP=/tmp/$FILE-$DATE
  DIR=`pwd`
  rm -rf $TMP
  mkdir $TMP
  cp -dr * $TMP/
  cd $TMP/
  rm -f $FILE-*.tar.gz $FILE-*.rpm $FILE-*.zip $FILE-*.exe
  cd /tmp
  TGZ=$FILE-$DATE.tar.gz
  rm -f $TGZ
  tar -vczf $TGZ $FILE-$DATE/
  mv $TGZ $DIR
  rm -r $TMP
  cd $DIR
}

rpms() {
  cp $FILE-$DATE.tar.gz $RPM/SOURCES/
  cp $FILE.spec $RPM/SPECS/$FILE-$DATE.spec
  rpm -ba $RPM/SPECS/$FILE-$DATE.spec
  cp $RPM/SRPMS/$FILE-$DATE-$RELEASE.src.rpm .
  cp $RPM/RPMS/i386/$FILE-$DATE-$RELEASE.i386.rpm .
}

# manually create sfx ZIP in Windows OS
win() {
  cd windows/
  rm -f $FILE-*.zip $FILE.zip ../$FILE-*.win.zip
  zip -rp ../$FILE-$DATE.win.zip *
#  ln -s ../$FILE-$DATE.win.zip $FILE-$DATE.zip
  cd ..
}

cgi() {
  cd cgi-bin/
  ./download.sh
  cd ..
}

case "$1" in
  targz)
    targz
  ;;
  rpm)
    rpms
  ;;
  win)
    win
  ;;
  --help)
    echo "Usage: dist.sh (targz|rpm|win)"
  ;;
  --version)
    echo "Version: $VERSION"
  ;;
  "")
    targz
    rpms
    win
    cgi
  ;;
  *)
    echo "Unknown command-line argument. Try \`dist.sh --help'"
esac

exit 0

