c  refrakce.f - Refrakce s malou presnosti.
c  Miroslav Broz (miroslav.broz@email.cz), Aug 30th 2002

c-----------------------------------------------------------------------

      real*8 function refrakce(h,p,t)

      implicit none
      real*8 h,p,t

c parametry: h ... vyska nad obzorem, [h] = rad
c            p ... tlak vzduchu, [p] = hPa
c            t ... teplota vzduchu, [t] = deg C

      real*8 pi, deg, rad
      parameter(pi = 3.1415926535d0, deg = pi/180.d0, rad = 180.d0/pi)
      real*8 h0, p0, t0

      h0 = h*rad
      p0 = p
      t0 = t
      if (p0.lt.0.d0) then
        p0 = 1013.25d0
      endif
      if (t0.lt.-273.15d0) then
        t0 = 10.d0
      endif

      if (h.gt.0.d0) then
        refrakce = 0.28d0*p0/(t0+273.d0)/tan((h0+7.31d0/(h0+4.4d0))
     :   *deg)*(1.d0/60.d0*deg)
      else
        refrakce = 0.d0
      endif

cc jine, nepouzite vztahy; viz tmp/refrakce.plt
c      if (h.gt.15.d0*deg) then

c      else if (h.gt.0) then
c        refrakce = p0/(t0+273.d0)*(0.1594d0+0.0196d0*h0
c     :    +0.00002d0*h0**2)/(1.d0+0.505d0*h0+0.0845d0*h0**2)*deg;
c      else
cc  refrakce pri horizontu
c        refrakce = 34/60*deg
c      endif

      return
      end
c-----------------------------------------------------------------------

