#!/usr/bin/gnuplot

# Vykresleni ciselniku slunecnich hodin (z datovych soboru programu sh)
# Miroslav Broz (miroslav.broz@email.cz), Apr 16th 2003

# Vykresleni ciselniku slunecnich hodin v meritku 1:1 ve formatu EPS.

# tlousky car v EPS/PS
tl_datum	= 30
tl_hodin	= 50
tl_cisel	= 50
tl_horiz	= 20
tl_vychod	= 20
tl_zapad = tl_vychod
tl_analema	= 20
tl_temporal	= 30
tl_azimut	= 20
tl_vyska = tl_azimut

set term postscript eps
set out "sh.tmp"

sc = -1
load "ciselnik.plt"
in = 2.54
set size (x2-x1)/(5*in),(y2-y1)/(3.5*in)

# standardni skala tloustky car
if (sc<0) sc = (x2-x1)/200

set xl ""
set yl ""
set nolabel
set noxtics
set noytics
set noborder
set nozeroaxis
set nokey
set origin 0,0
set bmargin 0
set tmargin 0
set lmargin 0
set rmargin 0

set ls 1 lt 1 lw tl_datum * sc
set ls 2 lt 1 lw tl_hodin * sc
set ls 3 lt 1 lw tl_cisel * sc
set ls 6 lt 1 lw tl_vychod * sc
set ls 7 lt 1 lw tl_zapad * sc
set ls 8 lt 1 lw tl_horiz * sc
set ls 9 lt 1 lw tl_analema * sc
set ls 10 lt 1 lw tl_temporal * sc
set ls 11 lt 1 lw tl_azimut * sc
set ls 12 lt 1 lw tl_vyska * sc

p "horiz_rysky.dat" w l ls 8,\
  "vyska_prumet.dat" u 3:4 w l ls 12,\
  "azimut_rysky.dat" u 2:3 w l ls 11,\
  "zapad_rysky.dat" u 2:3 w l ls 7,\
  "vychod_rysky.dat" u 2:3 w l ls 6,\
  "temporal_rysky.dat" u 2:3 w l ls 10,\
  "analema_prumet.dat" u 4:5 w l ls 9,\
  "datum_prumet.dat" u 4:5 w l ls 1,\
  "hodin_rysky.dat" u 2:3 w l ls 2,\
  "ciselnik.dat" w l ls 3

sc = sc * 0.5	# PS je 2x vetsi!
set ls 1 lt 1 lw tl_datum * sc
set ls 2 lt 1 lw tl_hodin * sc
set ls 3 lt 1 lw tl_cisel * sc
set ls 6 lt 1 lw tl_vychod * sc
set ls 7 lt 1 lw tl_zapad * sc
set ls 8 lt 1 lw tl_horiz * sc
set ls 9 lt 1 lw tl_analema * sc
set ls 10 lt 1 lw tl_temporal * sc
set ls 11 lt 1 lw tl_azimut * sc
set ls 12 lt 1 lw tl_vyska * sc

set term postscript portrait
set out "sh_A4.tmp"

set size (x2-x1)/(7*in),(y2-y1)/(10*in)

rep

# Vykresleni zmenseneho ciselniku s popisky v PostScriptu a PNG.

reset

set term postscript enhanced "Times"
set out "sh.ps"

set xl "{/Times-Oblique X} / cm"
set yl "{/Times-Oblique Y} / cm"

load "ciselnik.plt"
set size ratio -1

load "popisky.plt"

#set xtics 100
#set ytics 100
#set mxtics 10
#set mytics 10
#set grid
set zeroaxis
set nokey

set ls 1 lt 1
set ls 2 lt 2
set ls 3 lt 3 pt 1
set ls 4 lt 1 lw 3 pt 7
set ls 5 lt 5 lw 2
set ls 6 lt 4
set ls 7 lt 6
set ls 8 lt 1
set ls 9 lt 1
set ls 10 lt 3
set ls 11 lt 7
set ls 12 lt 8

p "horiz_rysky.dat" w l ls 8,\
  "vyska_prumet.dat" u 3:4 w l ls 12,\
  "azimut_rysky.dat" u 2:3 w l ls 11,\
  "zapad_rysky.dat" u 2:3 w l ls 7,\
  "vychod_rysky.dat" u 2:3 w l ls 6,\
  "temporal_rysky.dat" u 2:3 w l ls 10,\
  "analema_prumet.dat" u 4:5 w l ls 9,\
  "datum_prumet.dat" u 4:5 w l ls 1,\
  "hodin_rysky.dat" u 2:3 w l ls 2,\
  "hodin_prumet.dat" u 4:5 ls 3,\
  "nodus.dat" w lp ls 4,\
  "nodus.dat" u 3:2 w l ls 5

set term png color
set out "sh.png"

set xl "X / cm"
set yl "Y / cm"

set ls 1 lt 1
set ls 2 lt 9
set ls 3 lt 15 pt 12
set ls 4 lt 1 lw 3 pt 1 ps 1.5
set ls 5 lt 5 lw 2
set ls 6 lt 3
set ls 7 lt 0
set ls 8 lt -1
set ls 9 lt 7
set ls 10 lt 4
set ls 11 lt 8
set ls 12 lt 5

rep

# used by sh_*.plt
pi=-1


